package com.yihu.hos.resource.model;

/**
 * RsResourceCategory entity. @author MyEclipse Persistence Tools
 */

public class RsResourceCategory implements java.io.Serializable {

	// Fields

	private String id;
	private String name;
	private String pid;
	private String status;
	private String remark;

	// Constructors

	/** default constructor */
	public RsResourceCategory() {
	}

	/** minimal constructor */
	public RsResourceCategory(String name, String pid) {
		this.name = name;
		this.pid = pid;
	}

	/** full constructor */
	public RsResourceCategory(String name, String pid, String status) {
		this.name = name;
		this.pid = pid;
		this.status = status;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPid() {
		return this.pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}